import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsSpinner as GdsSpinnerClass } from "../../../components/spinner/spinner.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsSpinner = (props) => {
  GdsSpinnerClass.define();
  const JSXElement = getReactComponent("gds-spinner");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsSpinner.displayName = "GdsSpinner";
export {
  GdsSpinner
};
